%{?nodejs_find_provides_and_requires}

%global packagename builtin-modules
%global enable_tests 0
# tests disabled until 'ava' is packaged in Fedora

Name:		nodejs-builtin-modules
Version:	1.1.1
Release:	%mkrel 5
Summary:	List of the Node.js builtin modules

License:	MIT
URL:		https://github.com/sindresorhus/builtin-modules.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/sindresorhus/builtin-modules/d317be16fab701f2ac73bc9aa771f60ec052ed66/test.js

Group:          Development/Java

BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

Requires:	nodejs

%description
List of the Node.js builtin modules


%prep
%setup -q -n package
# setup the tests
cp -p %{SOURCE1} .



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr *.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{_bindir}/xo && %{_bindir}/ava
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}



%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.1.1-5.mga9
+ Revision: 1816836
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1.1-4.mga8
+ Revision: 1492323
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.1.1-3.mga7
+ Revision: 1264716
- Mageia 7 Mass Rebuild

* Wed Sep 28 2016 neoclust <neoclust> 1.1.1-2.mga6
+ Revision: 1057345
- imported package nodejs-builtin-modules

